summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xtests/misc/pwd-long21
-rwxr-xr-xtests/misc/sort-compress6
-rwxr-xr-xtests/rm/fail-eperm7
3 files changed, 22 insertions, 12 deletions
diff --git a/tests/misc/pwd-long b/tests/misc/pwd-long
index 207e7549c..c67db024f 100755
--- a/tests/misc/pwd-long
+++ b/tests/misc/pwd-long
@@ -48,14 +48,19 @@ sub normalize_to_cwd_relative ($$$)
and die "$ME: $dir does not contain old CWD\n";
my $dir_prefix = $slash ? substr ($dir, 0, $slash) : '/';
my ($d, $i) = (stat $dir_prefix)[0, 1];
- $d == $dev && $i == $ino
+ $d eq $dev && $i eq $ino
and return substr $dir, $slash + 1;
}
}
# Set up a safe, well-known environment
-delete @ENV{qw(BASH_ENV CDPATH ENV PATH)};
+delete @ENV{qw(BASH_ENV CDPATH ENV)};
$ENV{IFS} = '';
+# PATH is tricky - we can't just clear it, or cygwin will fail. But we
+# can't use it as-is, or taint checking in `` will stop us. For this
+# script, it is enough to scrub the incoming $PATH first.
+$ENV{'PATH'} =~ /(.*)/;
+$ENV{'PATH'} = "$1";
# Save CWD's device and inode numbers.
my ($dev, $ino) = (stat '.')[0, 1];
@@ -70,9 +75,13 @@ substr ($expected, 0, 1) = '';
my $i = 0;
do
{
- mkdir $z, 0700
- or die "$ME: at depth $i: $!\n";
- chdir $z;
+ if (!mkdir $z, 0700)
+ {
+ warn "$ME: skipping this test; cannot create long directory name "
+ . "at depth $i: $!\n";
+ exit 77;
+ }
+ chdir $z
}
until (++$i == $n);
@@ -82,7 +91,7 @@ $abs_top_builddir
my $build_src_dir = "$abs_top_builddir/src";
if ($build_src_dir !~ m!^([-+.:/\w]+)$!)
{
- warn "$0: skipping this test; odd build source directory name:\n"
+ warn "$ME: skipping this test; odd build source directory name:\n"
. "$build_src_dir\n";
exit 77;
}
diff --git a/tests/misc/sort-compress b/tests/misc/sort-compress
index 487d18574..7e319ca8e 100755
--- a/tests/misc/sort-compress
+++ b/tests/misc/sort-compress
@@ -32,7 +32,7 @@ TMPDIR=.; export TMPDIR
fail=0
-# This should force the use of temp files compressed with the default gzip
+# This should force the use of temp files
sort -S 1k in > out || fail=1
compare exp out || fail=1
@@ -69,8 +69,4 @@ compare exp out || fail=1
test -f ok || fail=1
rm -f dzip ok
-# This is to make sure sort functions if it can't find the default gzip
-PATH=. "$SORT" -S 1k in > out || fail=1
-compare exp out || fail=1
-
Exit $fail
diff --git a/tests/rm/fail-eperm b/tests/rm/fail-eperm
index 9ccb913a6..36192c2e5 100755
--- a/tests/rm/fail-eperm
+++ b/tests/rm/fail-eperm
@@ -32,8 +32,13 @@ my $verbose = $ENV{VERBOSE} && $ENV{VERBOSE} eq 'yes';
$ENV{LC_ALL} = 'C';
# Set up a safe, well-known environment
-delete @ENV{qw(BASH_ENV CDPATH ENV PATH)};
+delete @ENV{qw(BASH_ENV CDPATH ENV)};
$ENV{IFS} = '';
+# PATH is tricky - we can't just clear it, or cygwin will fail. But we
+# can't use it as-is, or taint checking in `` will stop us. For this
+# script, it is enough to scrub the incoming $PATH first.
+$ENV{'PATH'} =~ /(.*)/;
+$ENV{'PATH'} = "$1";
my @dir_list = qw(/tmp /var/tmp /usr/tmp);
my $rm = "$ENV{abs_top_builddir}/src/rm";